Product / Content ID List API

Fetch the unique identifiers (product_ids) of all products stored in the app. To get a list of product_ids, make a GET request to the following URL:

GET /v1/products/_ids

Response Format

The API will return an array of product_ids in a JSON object. The status_code will be 200 if the request is successful. If any error occurs during the request, the status_code will not be 200 and the message field will indicate the error.

Example Successful Response

{
  "message": "success",
  "data": {
    "ids": [
      "product_1",
      "product_2",
      "product_3",
      // ... more product_ids
    ]
  }
}

Example Error Response

If the dataset cannot be found, the API will return a 404 error:

{
  "status_code": 404,
  "message": "not found"
}

If another error occurs during the request, the API will return a 500 error

{
  "message": "Something went wrong. Please contact miso…"
}
Query Parameters
  • type
    Type: string

    Return only records with this type value. Omit it to return every record.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/v1/products/_ids
curl 'https://api.askmiso.com/v1/products/_ids?api_key=YOUR_SECRET_TOKEN'
{
  "message": "string",
  "data": {
    "ids": [
      "string"
    ]
  }
}